All notable changes to this project will be documented in this file.
## [1.110.65] - 2026-3-27
fix:关闭框内用户使能仍可操作框内用户

## [1.110.64] - 2026-3-27
fix:修复VIDEO会话SessionType取值不对的问题

## [1.110.63] - 2026-3-26
fix:修复tallylog目录权限不对的问题

## [1.110.62] - 2026-3-25
fix:iam启动时间变长问题

## [1.110.61] - 2026-3-23
fix:增加重启场景的回调注册

## [1.110.60] - 2026-3-21
fix:上次登录信息未获取实时数据

## [1.110.59] - 2026-3-20
fix:永久持久化数据库写入优化

## [1.110.58] - 2026-3-20
fix:qemu当前只支持单主机

## [1.110.56] - 2026-3-20
fix:明确IP锁定接口范围

## [1.110.55] - 2026-3-20
fix:修复cleancode问题

## [1.110.54] - 2026-3-19
fix:修复导出弱密码文件到/tmp子目录失败的问题

## [1.110.53] - 2026-3-18
fix:修复鉴权算法设置值和打印值不一致问题

## [1.110.52] - 2026-3-16
fix:修复恢复出厂设置保留用户数据失败的问题

## [1.110.51] - 2026-3-18
fix:CertificateAuthentication自发现对象属性同步

## [1.110.50] - 2026-3-18
fix:支持初始化时根据双因素认证使能状态更新CA证书是否可以删除状态

## [1.110.49] - 2026-3-18
fix:支持限制框内通信SSH/SFTP会话数量

## [1.110.48] - 2026-3-17
支持会话最大生命周期

## [1.110.47] - 2026-3-17
fix:板间通信用户可见时锁定

## [1.110.46] - 2026-3-17
fix:板间通信用户可见时锁定

## [1.110.45] - 2026-3-17
fix:SSH和SFTP都不支持IP锁定和踢出

## [1.110.44] - 2026-3-16
fix:板间通信用户不可见时不锁定

## [1.110.43] - 2026-3-16
fix:调整account缓存主动同步周期

## [1.110.42] - 2026-3-15
fix:修复ip_lock导致的coredump问题

## [1.110.41] - 2026-3-15
fix:修复配置导入设置web会话类型日志
fix:板间通信ssh用户默认不启用

## [1.110.40] - 2026-3-14
fix:优化超时会话监控任务的时间精度

## [1.110.39] - 2026-3-14
fix: 配置导入紧急用户时校验id范围为2-17

## [1.110.38] - 2026-3-13
cleancode清理

## [1.110.37] - 2026-3-12
fix:修复pam_access白名单采集日志刷屏

## [1.110.36] - 2026-3-11
fix:加固公钥认证登录ssh

## [1.110.35] - 2026-3-10
fix:修复使用自动匹配认证错误码不对的问题

## [1.110.34] - 2026-3-7
fix:弱字典权限删除

## [1.110.33] - 2026-3-7
fix:上次登录信息刷新数据库优化

## [1.110.32] - 2026-3-7
fix:弱密码体系落地到每个产品

## [1.110.31] - 2026-3-7
fix:修复ip锁定后双因素认证未被拦截的问题

## [1.110.30] - 2026-3-5
fix:修复account与老版本sdk兼容性问题

## [1.110.29] - 2026-3-4
fix:修复板间通信redfish会话被当成普通redfish会话进行保活的问题

## [1.110.28] - 2026-3-4
fix:basic认证计算时间的debug日志打印优化

## [1.110.27] - 2026-3-3
feat:支持om进程权限消减

## [1.110.26] - 2026-3-3
fix:修复校验类型为Static时，同一个ip获取会话时创建新会话的问题

## [1.110.25] - 2026-3-2
feat:支持om进程权限消减

## [1.110.24] - 2026-3-1
feat:支持配置框内通信账户的pam_access限制

## [1.110.23] - 2026-2-28
feat:扩展证书认证的会话管理,区分redfish和rest

## [1.110.22] - 2026-2-28
feat:支持框内通信白名单策略

## [1.110.21] - 2026-2-26
fix:修复正常创建回话，操作日志显示失败

## [1.110.20] - 2026-2-27
feat:板间通信会话增加rest类型，增加根据ip获取会话方法

## [1.110.19] - 2026-2-26
fix:修复单主机场景下,操作日志和在线用户会显示systemid的问题

## [1.110.18] - 2026-2-25
fix:ipmi命令带外认证数据库使用优化

## [1.110.17] - 2026-2-25
feat:支持会话最大生命周期
fix:修复锁定次数为0时ip_lock判断锁定的异常

## [1.110.16] - 2026-2-24
优化配置导入时无导入项时日志打印级别

## [1.110.15] - 2026-2-12
feat:支持本地认证基于IP进行锁定(适配ipmi、snmp)

## [1.110.14] - 2026-2-9
feat:支持本地认证基于IP进行锁定

## [1.110.13] - 2026-2-6
修复非管理员可以查看紧急用户问题
修复IPMI Get user access返回enable status错误问题

## [1.110.12] - 2026-2-2
修复恢复用户后没有及时刷新导致cli登录延迟

## [1.110.11] - 2026-1-30
feat:支持切面组件配置

## [1.110.10] - 2026-1-30
feat:支持切面组件配置

 ## [1.110.9] - 2026-01-30
fix:修复强制开启密码复杂度检查，操作日志打印有误的问题

## [1.110.8] - 2026-1-29
fix:修复Ldap用户使用Rest接口创建KVM会话认证,返回500

## [1.110.7] - 2026-1-29
feat:增加ip锁定记录限制

## [1.110.6] - 2026-1-27
feat:支持ip锁定底层库能力

## [1.110.5] - 2026-1-21
fix:修复部分框内通信账户设置接口操作日志、安全日志呈现问题

## [1.110.4] - 2026-1-20
feat:支持通过PSR配置框内通信账户的默认权限和登录接口

## [1.110.3] - 2026-1-19
修复snmp概率性认证失败的问题

## [1.110.2] - 2026-01-16
feat:支持框内通信账户扩展管理

## [1.110.1] - 2026-1-15
支持框内通信使能开启后不限制删除CA证书

## [1.110.0] - 2026-01-15
fix:优化锁定判断延时，解决满用户场景下锁定判断较长的问题

## [1.100.34] - 2025-12-27
修复修改失败锁定次数后打印用户密码测试锁定日志的问题

## [1.100.33] - 2025-12-23
调整修改VNC密码接口权限为用户管理

## [1.100.32] - 2025-12-23
修复bmc重启后sso会话无权限的问题

## [1.100.31] - 2025-12-23
修复DT执行查找不到依赖失败问题

## [1.100.30] - 2025-12-22
修复DT执行查找不到依赖失败问题

## [1.100.29] - 2025-12-18
修复新增自定义角色操作日志异常的问题

## [1.100.28] - 2025-12-18
修复libuip权限不对的问题

## [1.100.27] - 2025-12-18
修改Get User Access设置channel超出报错

## [1.100.26] - 2025-12-17
支持用户锁定后告警

## [1.100.25] - 2025-12-17
cleancode清理

## [1.100.24] - 2025-12-15
cleancode清理

## [1.100.23] - 2025-12-13
新增属性代表是否仅可使用ManagerAcount.ChangePassword的方式来修改账户密码

## [1.100.22] - 2025-12-13
修复ipmitool查询用户概要信息,Enabled User Count与实际不一致    

## [1.100.21] - 2025-12-12
修复account启动阶段串口打印失败

## [1.100.20] - 2025-12-11
修复ldap会话踢出失败的问题

## [1.100.19] - 2025-12-11
支持二次鉴权场景用户锁定后踢出该用户会话

## [1.100.18] - 2025-12-09
支持定制LAN2通道配置使能/禁用

## [1.100.18] - 2025-12-10
修复调整用户权限后锁定的用户被解锁问题

## [1.100.17] - 2025-12-09
修复无web接口权限的用户可以创建SSO会话的问题

## [1.100.16] - 2025-12-06
修复busctl恢复2号用户时删除最后一个管理员问题

## [1.100.15] - 2025-12-5
更新openldap依赖版本号

## [1.100.14] - 2025-12-4
修复删除tallylog文件失败的问题

## [1.100.13] - 2025-12-3
支持基础安全能力

## [1.100.12] - 2025-12-01
修复ipmi创建redfish无法变更权限的问题

## [1.100.11] - 2025-11-25
支持基础安全能力

## [1.100.10] - 2025-11-26
调整原3秒一次的不合理手动gc

## [1.100.9] - 2025-11-24
新增用户相关业务预置trace采样点

## [1.100.8] - 2025-11-24
支持安全管理子系统使用最新模板生成代码

## [1.100.7] - 2025-11-20
【修改描述】支持登录用户和最后一个用户不可删除

## [1.100.6] - 2025-11-06
装备包中跳过密码复杂度锁定校验，支持装备定制化

## [1.100.5] - 2025-11-05
修复修改不活跃用户检测时间为非法值报错信息格式错误的问题
修复IPMI设置密码复杂度强制开启后, 使用web接口还可以关闭密码复杂度问题

## [1.100.4] - 2025-11-03
修改allowedloginInterface属性策略

## [1.100.3] - 2025-10-27
修复busctl恢复用户未恢复历史用户ipmi通道权限问题

## [1.100.2] - 2025-10-24
修复busctl恢复用户未恢复ipmi通道权限问题

## [1.100.1] - 2025-10-22
修复定制OEM用户名称失败的问题

## [1.90.43] - 2025-09-23
修复多通道场景设置角色未同步修改LAN1通道权限的问题

## [1.90.42] - 2025-09-20
修复组件启动时未清理共享内存问题

## [1.90.41] - 2025-09-20
修复配置导入用户时操作日志记录错误问题

## [1.90.40] - 2025-09-20
删除导入公钥废弃接口

## [1.90.39] - 2025-09-19
account组件适配conan2

## [1.90.38] - 2025-09-19
修改AccountService资源上树方式

## [1.90.37] - 2025-09-18
修复snmp加密密码在弱口令字典中

## [1.90.36] - 2025-09-17
修复禁用最后一个管理员用户全部登录接口导致无法登录问题

## [1.90.35] - 2025-09-17
修复ipmi命令set user password未按标准规范校验密码长度问题
修复ipmi命令禁用紧急用户问题

## [1.90.34] - 2025-09-16
修复ipmi set user access user id超范围操作日志打印错误
修复ipmi set user access 命令长度超限报错

## [1.90.33] - 2025-09-16
修复新建用户与轮询协程冲突导致创建失败的问题

## [1.90.32] - 2025-09-13
修复修改id不在范围用户名日志记录异常问题

## [1.90.31] - 2025-09-12
修复定制项顺序依赖定制失败问题

## [1.90.30] - 2025-09-12
修复修改id不在范围用户名日志记录异常问题

## [1.90.29] - 2025-09-04
修复ipmi创建用户并启用时密码复杂度校验问题

## [1.90.28] - 2025-09-04
清除自动生成代码的冗余描述

## [1.90.27] - 2025-09-03
修复修改snmp鉴权算法后需要强制修改密码的问题

## [1.90.26] - 2025-09-03
修复恢复用户删除同名用户时未清除通道配置的问题

## [1.90.25] - 2025-08-31
修复SetUserAccess操作日志未记录会话限制的问题

## [1.90.24] - 2025-08-28
修复ipmi查询的用户信息与实际不一致问题
修复ipmi设置权限时通道权限和用户权限不一致 

## [1.90.23] - 2025-08-26
安全子系统敏感信息排查

## [1.90.22] - 2025-08-22
装备模式跳过登录接口检查支持登录接口定制

## [1.90.21] - 2025-08-15
修复环境设置历史密码为边界值异常，返回值由PropertyValueNotInList改为PropertyValueOutOfRangeMessage

## [1.90.20] - 2025-08-15
修复深度还原后概率性定制失败的问题

## [1.90.19] - 2025-08-14
修复初始化时内存中没有默认通道配置导致定制失败的的问题

## [1.90.18] - 2025-08-12
修复深度还原后互联网定制失败的问题

## [1.90.17] - 2025-08-08
修复redfish创建用户报500及空定制config失败的问题

## [1.90.16] - 2025-08-05
bmc.kepler.IpmiService.ChannelNumberMappings接口名更新为bmc.kepler.IpmiService.ChannelNumberMapping
ExternalChannelNumber修改为External
InternalChannelNumber修改为Internal

## [1.90.15] - 2025-08-02
新增属性:MaxAccountLockoutThreshold、MaxAccountLockoutDuration、MaxHistoryPasswordCount
用来配置登录失败锁定次数和时间、历史密码的最大范围

## [1.90.14] - 2025-08-02
导入ssh公钥增加路径校验

## [1.90.13] - 2025-08-02
修复操作日志未记录通道配置的问题

## [1.90.12] - 2025-07-31
认证接口放开密码限制

## [1.90.11] - 2025-07-31
支持密码策略可配置超长密码

## [1.90.10] - 2025-07-30
支持多通道场景下用户权限与通道权限分离
支持恢复出厂设置保留用户信息需保留通道配置

## [1.90.9] - 2025-07-29
支持通道号校验适配ChannelNumberMapping
支持兼容单通道场景绑定用户权限与通道权限

## [1.90.8] - 2025-07-29
ipmi获取用户名日志优化

## [1.90.7] - 2025-07-28
修改更换trapv3用户校验

## [1.90.6] - 2025-07-26
支持ipmi通道配置上树

## [1.90.5] - 2025-07-24
支持动态调整trapv3用户绑定策略

## [1.90.4] - 2025-07-17
支持Get User Access命令按照标准实现

## [1.90.3] - 2025-07-17
支持Set User Access命令按照标准实现

## [1.90.2] - 2025-07-15
支持ipmi通道权限配置更改自动生成代码上库

## [1.90.1] - 2025-07-15
支持ipmi通道权限配置自动生成代码上库

## [1.80.25] - 2025-06-20
更改设置还原点操作日志

## [1.80.24] - 2025-06-19
更改readme描述

## [1.80.23] - 2025-06-18
修复配置导入import字段预期不生效的问题

## [1.80.22] - 2025-06-18
修复配置导入import字段预期不生效的问题

## [1.80.21] - 2025-06-17
cleancode

## [1.80.20] - 2025-06-17
增加AllowedLoginInterfaces资源协作接口入参校验

## [1.80.19] - 2025-06-16
Copyright注释头使用统一lua注释风格

## [1.80.18] - 2025-06-15
修复定制OEM用户后空定制化时无法清除的问题

## [1.80.17] - 2025-06-12
修改普通用户修改自身密码报错的问题

## [1.80.16] - 2025-06-03
支持装备模式的默认密码配置化，以支持定制

## [1.80.15] - 2025-06-03
修改增删自定义角色报错信息

## [1.80.14] - 2025-06-02
修复装备模式下缺失Roles数据问题

## [1.80.13] - 2025-05-30
支持自定义用户组的配置导入删除用户组

## [1.80.12] - 2025-05-30
修复配置导入NamePattern资源树未刷新问题
支持自定义用户组的配置导入导出

## [1.80.11] - 2025-05-29
支持新增删除自定义角色功能

## [1.80.10] - 2025-05-29
AccountPolicy相关方法增加account_type参数

## [1.80.9] - 2025-05-29
修改文件操作函数返回值校验

## [1.80.8] - 2025-05-28
支持OEM用户原子能力

## [1.80.7] - 2025-05-28
修复ipmi删除用户操作日志格式不对的问题

## [1.80.6] - 2025-05-27
自动生成代码更新&支持增删自定义用户角色自动生成代码

## [1.80.5] - 2025-05-26
支持新增内部用户，用于框内设备间通信

## [1.80.4] - 2025-05-22
支持安全管理满足资源树协作接口关键字规范要求

## [1.80.3] - 2025-05-21
bugfix: 修复配置导入导出无法删除用户的场景

## [1.80.2] - 2025-05-08
bugfix: 修复配置导入导出无法增加用户的场景

## [1.80.1] - 2025-05-08
支持定制本地用户允许开启的登录接口

## [1.70.26] - 2025-05-06
支持定制本地用户允许开启的登录接口

## [1.70.25] - 2025-04-29
新增issue模板

## [1.70.24] - 2025-04-28
增加上次登录信息记录的参数校验

## [1.70.23] - 2025-04-24
修改新用户默认LastLoginInterface;
修复LocalAuthenticate接口记录用户上次登录审计信息未更新资源树问题

## [1.70.22] - 2025-04-09
支持默认密码

## [1.70.21] - 2025-04-07
初始化阶段保障密码强制持久化

## [1.70.20] - 2025-3-31
取消ipmi接口后清除ipmi密码

## [1.70.19] - 2025-3-30
openUBMC开源
